<section *ngIf="currentWorkspace && workspaceModules" class="section">
  <div class="container">

    <app-breadcrumb [currentWorkspace]="currentWorkspace"></app-breadcrumb>
    <app-add-modules-modal (addModuleEvent)="addModule($event)" *ngIf="isAddModulesModalActive()"
                           [modulesAlreadyAdded]="workspaceModules"></app-add-modules-modal>

    <hr  class="has-background-primary">

    <div class="content">
      <h3 class="subtitle is-3 has-text-primary">Default repositories settings</h3>
      <div class="content">
        Configure the default settings for each inspector modules
      </div>

      <hr>

      <div class="content">
        Export workspace settings to a JSON file
      </div>
      <div (click)="exportToJSON()" class="button is-primary">Export settings</div>


      <hr >

      <div>
        <app-import [workspaceId]="currentWorkspace.id"></app-import>
      </div>

      <hr >

      <div class="content">
        Add modules to your workspace
      </div>
      <div class="button is-primary" (click)="showAddModulesModal()">Add modules</div>

      <hr>

      <div *ngFor="let module of workspaceModules" class="level box">
        <div class="level-left">
          <div class="level-item">
            <div class="content">
              <a (click)="openModuleConfigurations(module.name)"
                 class="subtitle is-5 has-text-primary">{{ module.name }}</a>
              <p class="help is-grey-dark">{{ module.description }}</p>
            </div>
          </div>
        </div>
        <div class="level-right">
          <div class="level-item">
            <input (ngModelChange)="moduleEnabledStateChange(module)" [(ngModel)]="module.enabled"
                   [checked]="module.enabled"
                   [id]="module.name" [name]="module.name"
                   class="switch is-rounded is-primary form-control" type="checkbox">
            <label class="label" for={{module.name}}>
              <span *ngIf="module.enabled; else disabledBloc">Enabled</span>
              <ng-template #disabledBloc>
                <span>Disabled</span>
              </ng-template>
            </label>
          </div>
          <div class="button is-danger level-item" (click)="deleteModule(module.name)">Remove</div>
        </div>
      </div>

      <hr>

      <h4 class="subtitle is-4">Danger zone</h4>
      <div *ngIf="!isDeletionActive(); else confirmDeletionBlock">
        <a class="button is-danger" (click)="activeDeletion()">Delete this workspace</a>
      </div>
      <ng-template #confirmDeletionBlock>
        <div class="content">
          <p class="has-text-danger">Are you sure you want to delete this workspace ?</p>
          <p>The workspace <b>{{ currentWorkspace.name }}</b> will be deleted for ever</p>
        </div>
        <div class="buttons">
          <a (click)="deleteWorkspace()" class="button is-danger">Delete</a>
          <a (click)="deactivateDeletion()" class="button">Cancel</a>
        </div>
      </ng-template>
    </div>
  </div>
</section>
